//
// Created by william on 30/09/23.
//

#include "cpu.h"

#ifndef NESEMULATOR_RAM_H
#define NESEMULATOR_RAM_H

// The 6502 CPU has 2 KiB of RAM
#define MEM_RAM_AMOUNT 2048

typedef unsigned short address;

void ram_set_byte(address addr, byte byte);
byte ram_get_byte(address addr);
word ram_get_word(address addr);

#endif //NESEMULATOR_RAM_H
