/*
 * =====================================================================================
 *
 *       Filename:  main.c
 *
 *    Description:  Emulator main loop 
 *
 *        Version:  1.0
 *        Created:  2023-09-21 09:50:34 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  William Nolin, 
 *   Organization:  
 *
 * =====================================================================================
 */
#include <stdlib.h>

#include "include/rom.h"

int main() {
    char *rom_path = "../tests/smb.nes";

    cpu_init();
    rom_load(rom_path);

    cpu_step();

    rom_uninit();

    return EXIT_SUCCESS;
}

